<?xml version="1.0" encoding="utf-8" ?>
<DUMMY>
  <!-- Includes **********************************************************-->
  <INCLUDE_ONCE file="tpl_lib.inc" />
  <INCLUDE_ONCE file="toolbar/toolbar.inc" />
  <INCLUDE_ONCE file="knob/knob.inc"/>
  <INCLUDE_ONCE file="fader/fader.inc"/>
  <INCLUDE_ONCE file="on_off_button/on_off_button.inc" />
  <INCLUDE_ONCE file="colors.inc" />
  <INCLUDE_ONCE file="utils/tooltip.inc" />
  <INCLUDE_ONCE file="utils/utils.inc" />
  <INCLUDE_ONCE file="utils/tpl.text_button.inc"/>
  <INCLUDE_ONCE file="menu_button/menu_button.inc"/>
  <INCLUDE_ONCE file="vmeter/vmeter.inc"/>
  <INCLUDE_ONCE file="h_slider/h_slider.inc"/>
  <INCLUDE_ONCE file="radio_button/radio_button.inc"/>
  <INCLUDE_ONCE file="push_toggle/push_toggle.inc"/>
  <INCLUDE_ONCE file="slider_small/slider_small.inc"/>
  <INCLUDE_ONCE file="black_box/black_box.inc"/>
  <INCLUDE_ONCE file="greybox/box.inc"/>

  <!-- Definitions,variables and templates **********************************-->
  <DEFINE>
    <GRAYOUT_LAYER base_type="IMAGE" mouse_sensitive="true" repeat="true" image="gray_out.bmp" opacity="70%"/>
    <CATEGORY_TEXT base_type="TEXT" font_size="15" text_color="#777777"/>
    <CUS_V_RULER base_type="RULER" font_size="11" text_v_align="center"	v_margin="7" height="100%" width="15" value_format="+.0" content="{value}" positions_count="11" orientation="vertical" />
    <CUS_H_RULER base_type="RULER" text_h_align="center" h_align="right" font_size="11" h_margin="15" height="13" width="720" value_format=".0" content="{value} {unit}" positions_count="11" significant_digits="2"/>
    <CUS_GRID base_type="GRID" x_subdiv_count="1" y_subdiv_count="1" width="100%" height="100%"
  subdiv_color="#333333" color="#555555" origin_color="#888888" x_positions_count="11" y_positions_count="11" />
    <CUS_GRAPH_SLIDER base_type="IMAGE_PARAM_SLIDER" thumb_image="vbar.bmp" width="100%" scale="log" cursor="system::size_h" orientation="horizontal" auto_focus="false"/>
    <CUS_CURVE_GRAPH base_type="CURVE_GRAPH" x_scale="log" width="100%" height="100%" sample_rate=".2"/>
    <CUS_FILLED_GRAPH base_type="CUS_CURVE_GRAPH" x_scale="log" width="100%" height="100%" sample_rate="1" graph_style="bargraph" anti_alias="false"/>
    <CUS_FADER_RULER base_type="RULER" positions_count="11" text_v_align="center" v_margin="6" width="15" orientation="vertical" content="{value}" value_format="+.0" text_color="#777777" font_size="11"/>
    <CUS_TEXT_BUTTON base_type="TPL_TEXT_BUTTON" button="CUS_ON_OFF_BUTTON" />
  </DEFINE>
  
  <!-- Variables -->
  <VARIABLE id="max_inter_bands_count" formula="$max_bands_count$-1"/>
  <VARIABLE id="spacing" value="3"/>

  <!-- Knob + parameter information -->
  <TEMPLATE id="TPL_KNOB_MODULE" param_id="#UNDEFINED" display_name="" positions_count="201" response_curve="linear" reverse="false" knob_type="CUS_SYM_KNOB" v_align="center">
    <COLUMN spacing="0" text_color="#999999" v_align="$v_align$">
      <TEXT value="$display_name$"/>
      <DEFINE>
        <LOCAL_KNOB base_type="$knob_type$"/>
      </DEFINE>
      <LOCAL_KNOB param_id="$param_id$" response_curve="$response_curve$" positions_count="$positions_count$" reverse="$reverse$"/>
      <PARAM_TEXT param_id="$param_id$" width="50" text_color="#aaaaaa" content="{value}{unit}" value_format="+.1"/>
      <UNDEFINE>
        <LOCAL_KNOB/>
      </UNDEFINE>
    </COLUMN>
  </TEMPLATE>
  
  <!-- Level meter -->
  <TEMPLATE id="TPL_CHANNEL_METER" param_id="#UNDEFINED#" hold_param_id="#UNDEFINED#" >
    <ROW spacing="1">
      <ROW  v_margin="6">
        <GRID y_subdiv_count="1" height="100%" subdiv_color="#333333" origin_color="#777777" color="#777777" y_positions_count="11" y_param_info_id="$param_id$1$.info" width="3"/>
        <FOR_EACH_CHANNEL>
          <LAYER_STACK>
            <CUS_VMETER param_id="$param_id$$channel_index$$"/>
            <CUS_VMETER_HOLD param_id="$hold_param_id$$channel_index$$"/>
          </LAYER_STACK>
        </FOR_EACH_CHANNEL>
        <GRID y_subdiv_count="1" height="100%" subdiv_color="#333333" origin_color="#777777" color="#777777" y_positions_count="11" y_param_info_id="$param_id$1$.info" width="3"/>
      </ROW>
      <RULER param_info_id="$param_id$1$.info" positions_count="11" height="100%" text_v_align="center" v_margin="6" width="15" orientation="vertical" content="{value}" value_format=".0" text_color="#777777" font_size="11"/>
    </ROW>
  </TEMPLATE>

  <!-- Max Level meter -->
  <TEMPLATE id="TPL_MAX_PEAK_METER" max_param_id="#UNDEFINED#" max_reset_param_id="#UNDEFINED#">
    <LAYER_STACK font_size="12">
      <PARAM_TEXT param_id="$max_param_id$" width="33" content="{text_value}" id="$id$.max_value"/>
      <PARAM_TEXT param_id="$max_param_id$" width="33" content="{text_value}" text_color="#ee668e" id="$id$.max_value_red"/>
      <PARAM_MULTI_LINK from="$max_param_id$;value0" mux_function=">" to="$id$.max_value_red.visible"/>
      <PARAM_LINK from="$id$.max_value_red.visible" to="$id$.max_value.visible" reverse="true"/>
      <INVISIBLE_PARAM_BUTTON param_id="$max_reset_param_id$" width="100%" height="100%" cursor="system::hand"/>
    </LAYER_STACK>
  </TEMPLATE>
  
  
  <!--<CUS_RADIO_BUTTON param_id="model.solo$index$" text="S">-->
  <!--<CUS_LINK_BUTTON param_id="model.band$index$_quick_group">-->
  <!-- Layout starts here *****************************************************-->
  
  <!-- Toolbar-->
  <TPL_TOOLBAR/>
  <CELL height="5"/>
  <LAYER_STACK>
    <COLUMN h_margin="19" v_margin="2">
      <!-- Title Row with opacity and bands count control -->
      <CUS_TEXT_BUTTON param_id="$bypass$" text="Bypass"/>
      <CELL height="1"/>
      <ROW spacing="$spacing$">
        <!-- Graph and band controls column -->
        <COLUMN spacing="$spacing$" width="110">
              <!-- Mixer channel -->
              <ROW width="100%" spacing="$spacing$">
                <REPEAT count="1" start="1">
                  <CUS_GREY_BOX layout_type="layer_stack" h_margin="2" flex="20" id="band$index$_controls">
                    <COLUMN spacing="-6" width="100%">
                      <!-- Max meters -->
                      <ROW spacing="5">
                        <FOR_EACH_CHANNEL>
                          <TPL_MAX_PEAK_METER max_param_id="$max_peak_level_ch$channel_index$$" max_reset_param_id="$reset_max$" id="main_level_meter_ch$channel_index$"/>
                        </FOR_EACH_CHANNEL>
                      </ROW>
                      <CELL height="10"/>
                      <ROW width="100%">
                        <CELL flex="1"/>
                        <COLUMN spacing="2" v_align="top" font_size="15" height="100%">
                          <COLUMN font_size="14" text_color="#dddddd">
                            <CELL height="10"/>
                            <CUS_RADIO_BUTTON param_id="model.bypass$index$" text="B">
                              <CUS_TOOLTIP param_id="$bypass$index$$" content="{name}: {text_value}"/>
                            </CUS_RADIO_BUTTON>
                            <CUS_RADIO_BUTTON param_id="model.mute$index$" text="M">
                              <CUS_TOOLTIP param_id="$mute$index$$" content="{name}: {text_value}"/>
                            </CUS_RADIO_BUTTON>
                          </COLUMN>
                          <CELL flex="1"/>
                          <CELL font_size="14" text_color="#dddddd">
                          <CUS_RADIO_BUTTON param_id="model.band$index$_link_reverse" text="R" >
                            <CUS_TOOLTIP param_id="model.band$index$_link_reverse" content="Reverse Link: {text_value}"/>
                          </CUS_RADIO_BUTTON>
                          </CELL>
                        </COLUMN>
                        <CELL flex=".8"/>
                        <ROW>
                          <COLUMN height="100%">
                            <CELL height="8"/>
                            <CUS_FADER_RULER param_info_id="$gain$index$$.info" flex="1"/>
                            <CELL height="13"/>
                          </COLUMN>
                          <CUS_FADER param_id="model.gain$index$" positions_count="121"/>
                        </ROW>
                        <CELL flex=".8"/>
                        <TPL_CHANNEL_METER param_id="$peak_level$index$_ch" hold_param_id="$peak_hold_level$index$_ch" max_param_id="$max_peak_level$index$_ch" max_reset_param_id="$reset_max$index$$" id="level_meter$index$"/>
                        <CELL flex="1"/>
                      </ROW>
                      <COLUMN spacing="3">
                        <PARAM_TEXT param_id="$gain$index$$" width="50"/>
                        <IF_STEREO>
                          <ROW spacing="-12" >
                            <TPL_KNOB_MODULE param_id="model.spread$index$" display_name="Spread" v_align="top"/>
                            <COLUMN>
                              <CELL height="12"/>
                              <TPL_KNOB_MODULE param_id="model.pan$index$" display_name="Pan" v_align="bottom"/>
                            </COLUMN>
                          </ROW>
                          <CUS_LARGE_RADIO_BUTTON param_id="$mono$" text="Mono" reverse="true" v_align="top"/>
                        </IF_STEREO>
                        <TPL_MENU_BUTTON param_id="model.band$index$_link" content="{text_value}"/>
                      </COLUMN>
                    </COLUMN>
                    <GRAYOUT_LAYER width="100%" height="100%" id="grayed_monitor$index$" visible="false"/>
                  </CUS_GREY_BOX>
                </REPEAT>
              </ROW>
            </COLUMN>
          </ROW>
          <CELL height="3"/>
          <ROW spacing ="4">
            <TEXT value="Opacity:" />
            <CUS_H_SLIDER_SMALL param_id="global_opacity" positions_count="101">
              <CUS_TOOLTIP param_id="global_opacity" value_format=".0" content="Opacity: {value}{unit}" show_on_click="true"/>
            </CUS_H_SLIDER_SMALL>
          </ROW>
        </COLUMN>
    <!-- Extra Widgets -->
    <INCLUDE file="extra_widgets.inc"/>
  </LAYER_STACK>
  <IMAGE image="bottom_bar.bmp" height="15" width="100%" repeat="true"/>*
  
  <!-- Imposed values -->
  <CUS_CONST_PARAM value="0" id="value0"/>
  <CUS_CONST_PARAM value="1" id="value1"/>
  
  <!-- Single band -->
  <PARAM_CONNECTION constraint="true" id1="$bands_count$" id2="value1"/>
  <PARAM_CONNECTION constraint="true" id1="model.solo1" id2="value1"/>
  
  <!-- 0dB Ungrouped Master -->
  <PARAM_CONNECTION constraint="true" id1="$gain$" id2="value0"/>
  <PARAM_CONNECTION constraint="true" id1="model.master_link" id2="value0"/>
  <PARAM_CONNECTION constraint="true" id1="model.master_quick_group" id2="value0"/>

  <!-- No Spectrum Analysis -->
  <PARAM_CONNECTION constraint="true" id1="$analysis_enabled$" id2="value0"/>
  
</DUMMY>