<?xml version="1.0" encoding="utf-8" ?>
<DUMMY>
  <!-- General variables *****************************************************-->
  <VARIABLE id="channels_count" value="$PLUGIN_AUDIO_INPUTS_COUNT$"/>
  <VARIABLE id="max_bands_count" value="7"/>

  <!-- Basic definitions based on channels/bands count ***********************-->
  <DEFINE>
    <IF_STEREO base_type="REPEAT" count="$channels_count$==2"/>
    <FOR_EACH_CHANNEL base_type="REPEAT" count="$channels_count$" index_name="channel_index" start="1"/>
    <FOR_EACH_BAND base_type="REPEAT" count="$max_bands_count$" start="1"/>
    <FOR_EACH_INTER_BAND base_type="REPEAT" count="$max_inter_bands_count$" start="1"/>
  </DEFINE>

  <!-- The mapping utilities that define the NEXT_ / CURRENT_ macros-->
  <INCLUDE_ONCE file="mapping_utils.inc"/>

  <!-- Input Parameters ******************************************************-->
  <NEXT_INPUT_PARAM id="bypass"/>
  <NEXT_INPUT_PARAM id="bands_count"/>

  <FOR_EACH_BAND>
    <!-- Band Parameters -->
    <NEXT_INPUT_PARAM id="bypass$index$"/>
    <NEXT_INPUT_PARAM id="mute$index$"/>
    <NEXT_INPUT_PARAM id="solo$index$"/>
    <NEXT_INPUT_PARAM id="gain$index$"/>
    <IF_STEREO>
      <NEXT_INPUT_PARAM id="spread$index$"/>
      <NEXT_INPUT_PARAM id="pan$index$"/>
    </IF_STEREO>
    <NEXT_INPUT_PARAM id="reset_max$index$"/>

    <!-- slope and freq  between bands-->
    <REPEAT count="$index$!=$max_bands_count$">
      <NEXT_INPUT_PARAM id="freq$index$"/>
      <NEXT_INPUT_PARAM id="slope$index$"/>
    </REPEAT>
  </FOR_EACH_BAND>

  <!-- Global Output stage -->
  <NEXT_INPUT_PARAM id="gain"/>
  <IF_STEREO>
    <NEXT_INPUT_PARAM id="mono"/>
  </IF_STEREO>
  <NEXT_INPUT_PARAM id="reset_max"/>
  <NEXT_INPUT_PARAM id="analysis_enabled"/>

  <!-- Output params **********************************************************-->
  <!-- Band params -->
  <FOR_EACH_BAND>
    <FOR_EACH_CHANNEL>
      <NEXT_OUTPUT_PARAM id="peak_level$index$_ch$channel_index$"/>
      <NEXT_OUTPUT_PARAM id="peak_hold_level$index$_ch$channel_index$"/>
      <NEXT_OUTPUT_PARAM id="max_peak_level$index$_ch$channel_index$"/>
    </FOR_EACH_CHANNEL>
  </FOR_EACH_BAND>
  //<!-- Global (Master)-->
  <FOR_EACH_CHANNEL>
    <NEXT_OUTPUT_PARAM id="peak_level_ch$channel_index$"/>
    <NEXT_OUTPUT_PARAM id="peak_hold_level_ch$channel_index$"/>
    <NEXT_OUTPUT_PARAM id="max_peak_level_ch$channel_index$"/>
  </FOR_EACH_CHANNEL>

  <!-- Output Curves **********************************************************-->
  <!-- Global Response Output Curves -->
  <FOR_EACH_CHANNEL>
    <NEXT_OUTPUT_CURVE id="global_response_ch$channel_index$"/>
  </FOR_EACH_CHANNEL>

  <!-- Bands Output Curves -->
  <FOR_EACH_BAND>
    <NEXT_OUTPUT_CURVE id="frequency_response$index$"/>
  </FOR_EACH_BAND>

  <FOR_EACH_CHANNEL>
    <NEXT_OUTPUT_CURVE id="spectrum_ch$channel_index$"/>
  </FOR_EACH_CHANNEL>

  <!-- Extra params and variables *********************************************-->
  <!-- Opacity -->
  <PARAM id="global_opacity" min="0" max="100" default="100" unit="%" persistent="true"/>
  <PARAM_LINK from="global_opacity" to="window.opacity" normalized="true"/>
</DUMMY>